Subject: Re: bug#20461: 25.0.50; `use-hard-newlines'

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 23 Jan 2020 13:27:24 +0100

Stefan Kangas <[email-masked]> writes:

>> I agree.  An objections to renaming to -mode and marking the old name as
>> an obsolete alias?  (And fixing the doc string.)
>
> I agree as well.  No protests within 4+ years could be taken as a sign
> that no one minds the change.

I had another peek at this, and use-hard-newlines is slightly unusual
in that many functions bind the use-hard-newlines (and use it), like:

(defun fill-flowed-encode (&optional buffer)
[...]
    (when use-hard-newlines

So we'd presumably need to rename the variable, too, and then it just
seems like it's not worth it, really.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no